import React from 'react';

// 内库使用-start
import DOMUtil from "./../../../utils/DOMUtil";
// 内库使用-end

/* 测试使用-start
import { DOMUtil } from 'seedsui-react'
测试使用-end */

// 步骤条
var Step = function Step(_ref) {
  var iconChildren = _ref.iconChildren,
    icon = _ref.icon,
    status = _ref.status,
    rail = _ref.rail,
    title = _ref.title,
    description = _ref.description;
  return /*#__PURE__*/React.createElement("div", {
    className: DOMUtil.classNames('steps-item vertical left', status)
  }, /*#__PURE__*/React.createElement("div", {
    className: "steps-item-icon"
  }, icon ? DOMUtil.getIconNode(icon, {
    children: iconChildren,
    className: 'steps-item-icon-circle',
    status: status
  }) : /*#__PURE__*/React.createElement("div", {
    className: 'steps-item-icon-circle'
  }, iconChildren)), rail && /*#__PURE__*/React.createElement("div", {
    className: "steps-item-rail"
  }), /*#__PURE__*/React.createElement("div", {
    className: "steps-item-content"
  }, /*#__PURE__*/React.createElement("div", {
    className: "steps-item-title"
  }, title), /*#__PURE__*/React.createElement("div", {
    className: "steps-item-description"
  }, description)));
};
export default Step;